UHD 003.004.003-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Types | Public Member Functions | List of all members
uhd::usrp::mboard_eeprom_t Struct Reference

`#include <mboard_eeprom.hpp>`

Inheritance diagram for uhd::usrp::mboard_eeprom_t:

## Public Types
enum | map_type { MAP_N100, MAP_B000, MAP_B100, MAP_E100 }
| Possible EEPROM maps types. More...

## Public Member Functions
| mboard_eeprom_t (void)
| Make a new empty mboard eeprom. More...
| mboard_eeprom_t (i2c_iface &iface, map_type map)
void | commit (i2c_iface &iface, map_type map) const
Public Member Functions inherited from uhd::dict< std::string, std::string >
| dict (void)
| dict (InputIterator first, InputIterator last)
std::size_t | size (void) const
std::vector< std::string > | keys (void) const
std::vector< std::string > | vals (void) const
bool | has_key (const std::string &key) const
const std::string & | get (const std::string &key, const std::string &other) const
const std::string & | get (const std::string &key) const
void | set (const std::string &key, const std::string &val)
const std::string & | operator[] (const std::string &key) const
std::string & | operator[] (const std::string &key)
std::string | pop (const std::string &key)

## Detailed Description

The motherboard EEPROM object: Knows how to read and write the EEPROM for various USRPs. The class inherits from a string, string dictionary. Use the dictionary interface to get and set values. Commit to the EEPROM to save changed settings.

## Member Enumeration Documentation

enum uhd::usrp::mboard_eeprom_t::map_type

Possible EEPROM maps types.

Enumerator
MAP_N100 |
MAP_B000 |
MAP_B100 |
MAP_E100 |

## Constructor & Destructor Documentation

uhd::usrp::mboard_eeprom_t::mboard_eeprom_t | ( | void |  | ) |

Make a new empty mboard eeprom.

uhd::usrp::mboard_eeprom_t::mboard_eeprom_t | ( | i2c_iface & | iface,
|  | map_type | map
| ) |  |

Make a new mboard EEPROM handler.

Parameters

  iface | the interface to i2c
  map | the map type enum

## Member Function Documentation

void uhd::usrp::mboard_eeprom_t::commit | ( | i2c_iface & | iface,
|  | map_type | map
| ) |  | const

Write the contents of this object to the EEPROM.

Parameters

  iface | the interface to i2c
  map | the map type enum

The documentation for this struct was generated from the following file:

- include/uhd/usrp/mboard_eeprom.hpp